T-Mobile Jailbroken 4.3.1 Iphone 4, Can I upgrade to iOS5?

thehouseofel

macrumors newbie
Original poster
Oct 12, 2011
11
0
Hello all,

I'm new here. I was wondering if I could update my originally AT&T iPhone, which was jailbroken to work with T-Mobile, 4.3.1, to iOS5. I'm afraid I'll lose the proper baseband, and will not be able to continue to use the phone on T-Mobile's service.

If not at the moment, will this be a possibility at all?

Any help and advice would be much appreciated!
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.